#pragma once
#define PREPROC_TRANSLATOR_ENABLE
#define PREPROC_TRANSLATOR_LANG "EN_US"
#include "Variant.h"
#include <iostream>
#include <unordered_map>


class Translator {
public:
	std::unordered_map<r3d_Variant::String, std::unordered_map<r3d_Variant::String, r3d_Variant::String>> languages;
	r3d_Variant::String GetTransString(r3d_Variant::String key);
	void RegisterTranslatableObject(r3d_Variant::String key, r3d_Variant::String language, r3d_Variant::String value);
	void RegisterNewLanguage(r3d_Variant::String name);
};

